#!/bin/bash
#
# Script to convert cardinal lat/lon values to numerical values. 
#
    lat=$1
    lon=$2
    case $lat in
       *N*)
          lat=`echo $lat | sed s/N//g `;;
       *S*)
          lat=`echo $lat | sed s/S//g `
          lat=-$lat;;
         *)
          lat=$lat;;
    esac
    case $lon in
       *E*)
          lon=`echo $lon | sed s/W..//g `
          lon=`echo $lon | sed s/W//g `;;
       *W*)
          lon=`echo $lon | sed s/E..//g `
          lon=`echo $lon | sed s/E//g `
          lon=-$lon;;
        *)
          lon=$lon;;
    esac

    echo $lat $lon
